<?php
/**
 * Clase Base Bean para BasePlSucursalHorarioBN
 *
 * @package    Sedapal
 * @subpackage BasePlSucursalHorarioBN
 * @author     Willy
 * @version    SVN:: BasePlSucursalHorarioBN.class.php,v 1.1 2019-05-13 12:56:26 william.taype Exp $
 */
abstract class BasePlSucursalHorarioBN
{
  protected $Idsucursal;
  protected $Horaminutoninicio;
  protected $Diasiguiente;
  protected $Horaminutofin;
  protected $Monto;
  protected $Mensaje;
  protected $Error;

  public function getIdsucursal(){
    return $this->Idsucursal;
  }
  public function setIdsucursal($v1){
    $this->Idsucursal = $v1; 
  }

  public function getHoraminutoninicio(){
    return $this->Horaminutoninicio;
  }
  public function setHoraminutoninicio($v1){
    $this->Horaminutoninicio = $v1; 
  }

  public function getDiasiguiente(){
    return $this->Diasiguiente;
  }
  public function setDiasiguiente($v1){
    $this->Diasiguiente = $v1; 
  }

  public function getHoraminutofin(){
    return $this->Horaminutofin;
  }
  public function setHoraminutofin($v1){
    $this->Horaminutofin = $v1; 
  }

  public function getMonto(){
    return $this->Monto;
  }
  public function setMonto($v1){
    $this->Monto = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Pl_sucursal_horarioBN desde un RecordSet */
  public static function retrieveByRs( $o_Pl_sucursal_horarioRs )
  {
    $o_PlSucursalHorarioBN = new PlSucursalHorarioBN();
    $o_PlSucursalHorarioBN->setIdsucursal( $o_Pl_sucursal_horarioRs['idsucursal'] );
    $o_PlSucursalHorarioBN->setHoraminutoninicio( $o_Pl_sucursal_horarioRs['horaminutoninicio'] );
    $o_PlSucursalHorarioBN->setDiasiguiente( $o_Pl_sucursal_horarioRs['diasiguiente'] );
    $o_PlSucursalHorarioBN->setHoraminutofin( $o_Pl_sucursal_horarioRs['horaminutofin'] );
    $o_PlSucursalHorarioBN->setMonto( $o_Pl_sucursal_horarioRs['monto'] );
    return $o_PlSucursalHorarioBN;
  }
}